import { BaseLanguageClientContribution, Workspace, Languages, LanguageClientFactory, ILanguageClient, DocumentSelector } from '@devpodio/languages/lib/browser';
import { ResourceProvider } from '@devpodio/core';
import { JsonPreferences } from './json-preferences';
import { JsonSchemaStore } from '@devpodio/core/lib/browser/json-schema-store';
export declare class JsonClientContribution extends BaseLanguageClientContribution {
    protected readonly workspace: Workspace;
    protected readonly resourceProvider: ResourceProvider;
    protected readonly languages: Languages;
    protected readonly languageClientFactory: LanguageClientFactory;
    protected readonly preferences: JsonPreferences;
    protected readonly jsonSchemaStore: JsonSchemaStore;
    readonly id = "json";
    readonly name = "JSON";
    constructor(workspace: Workspace, resourceProvider: ResourceProvider, languages: Languages, languageClientFactory: LanguageClientFactory, preferences: JsonPreferences, jsonSchemaStore: JsonSchemaStore);
    protected updateSchemas(): Promise<void>;
    protected readonly globPatterns: string[];
    protected readonly documentSelector: DocumentSelector | undefined;
    protected readonly configurationSection: string[];
    protected onReady(languageClient: ILanguageClient): void;
    protected initializeJsonSchemaAssociations(): Promise<void>;
}
