import { interfaces } from 'inversify';
import { PreferenceProxy, PreferenceService, PreferenceSchema, PreferenceChangeEvent } from '@devpodio/core/lib/browser/preferences';
import { JsonSchemaConfiguration } from '@devpodio/core/lib/browser/json-schema-store';
export declare const jsonPreferenceSchema: PreferenceSchema;
export interface JsonConfiguration {
    'json.schemas': JsonSchemaConfiguration[];
    'json.format.enable': boolean;
}
export declare type JsonPreferenceChange = PreferenceChangeEvent<JsonConfiguration>;
export declare const JsonPreferences: unique symbol;
export declare type JsonPreferences = PreferenceProxy<JsonConfiguration>;
export declare function createJsonPreferences(preferences: PreferenceService): JsonPreferences;
export declare function bindJsonPreferences(bind: interfaces.Bind): void;
